Z3 |

Public Member Functions
scoped_context Class Referencefinal

`#include <z3++.h>`

## Public Member Functions
| scoped_context (Z3_context c)
| ~scoped_context ()
context & | operator() ()

## Detailed Description

Definition at line 390 of file z3++.h.

## Constructor & Destructor Documentation

## ◆ scoped_context()

scoped_context | ( | Z3_context | c | ) |
| inline

Definition at line 393 of file z3++.h.

393: m_ctx(c) {}

## ◆ ~scoped_context()

~scoped_context | ( |  | ) |
| inline

Definition at line 394 of file z3++.h.

394{ m_ctx.detach(); }

## Member Function Documentation

## ◆ operator()()

context & operator() | ( |  | ) |
| inline

Definition at line 395 of file z3++.h.

395{ return m_ctx; }